state("ePSXe", "ePSXe.exe, v180")
{
    string5 mapName: 0x72769F;
    string1 chinaPart: 0x7276A4;
    string1 factoryPart: 0x7276A6;
    string6 finSplit: 0x730570;
}

state("ePSXe", "ePSXe.exe, v190")
{
    string5 mapName: 0x72C19F;
    string1 chinaPart: 0x72C1A4;
    string1 factoryPart: 0x72C1A6;
    string6 finSplit: 0x735070;
}

state("ePSXe", "ePSXe.exe, v200")
{
    string5 mapName: 0x8EE81F;
    string1 chinaPart: 0x8EE824;
    string1 factoryPart: 0x8F0E76;
    string6 finSplit: 0x8F76F0;
}

state("ePSXe", "ePSXe.exe, v205")
{
    string5 mapName: 0xB5681F;
    string1 chinaPart: 0xB56824;
    string1 factoryPart: 0xB56826;
    string6 finSplit: 0xB5F6F0;
}

init
{
    vars.splitNum = 0;
    if (modules.First().ModuleMemorySize == 10231808)
        version = "ePSXe.exe, v180";
    else if (modules.First().ModuleMemorySize == 10301440)
        version = "ePSXe.exe, v190";
    else if (modules.First().ModuleMemorySize == 20287488)
        version = "ePSXe.exe, v200";
    else if (modules.First().ModuleMemorySize == 25337856)
        version = "ePSXe.exe, v205";
}

update
{
    if (current.mapName == "BFRON" && vars.splitNum > 0)
        vars.splitNum = 0;  
}

start
{
    if (current.mapName == "ROOFT")
        return true;
}

reset
{
    if (current.mapName == "BFRON")
        return true;
}

split
{
    if (current.mapName == "DOCKS" && vars.splitNum == 0)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "CARGO" && vars.splitNum == 1)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "DOCKS" && vars.splitNum == 2)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "CHINA" && current.chinaPart == "A" && vars.splitNum == 3)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "CHINA" && current.chinaPart == "B" && vars.splitNum == 4)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "BASEM" && vars.splitNum == 5)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "TEMPL" && vars.splitNum == 6)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "SEWER" && vars.splitNum == 7)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "BOILE" && vars.splitNum == 8)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "BASEM" && vars.splitNum == 9)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "TOWER" && vars.splitNum == 10)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "LOWER" && vars.splitNum == 11)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "CHAMB" && vars.splitNum == 12)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "CARPA" && vars.splitNum == 13)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "MUSEU" && vars.splitNum == 14)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "MUSBA" && vars.splitNum == 15)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "STORM" && vars.splitNum == 16)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "FACTO" && vars.splitNum == 17)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "FACTO" && current.factoryPart == "2" && vars.splitNum == 18)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "FACTO" && current.factoryPart == "3" && vars.splitNum == 19)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "FACTO" && current.factoryPart == "4" && vars.splitNum == 20)
    {
        vars.splitNum += 1;
        return true;
    }
    if (current.mapName == "HANGA" && vars.splitNum == 21)
    {
        vars.splitNum += 1;
        return true;
    }
    if (old.finSplit == "FACTTE" && current.finSplit == "Q2DATA" && vars.splitNum == 22)
    {
        return true;
    }
}